Page MenuHomePhabricator

eo: evalulate special counts earlier
ClosedPublic

Authored by bu5hm4n on Jul 31 2020, 1:57 AM.

Details

Summary

we have these special counts which are > 0 when there is a callback
subscribed. THey are currently evalulated in _callback_call. However,
we can also skip the entire call from inside eo_base_class as we are
having the fields there as well.

This way we are skipping the obj pointer lookup and vtable lookup.

Depends on D12078

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jul 31 2020, 1:57 AM
bu5hm4n requested review of this revision.Jul 31 2020, 1:57 AM
cedric accepted this revision.Jul 31 2020, 10:32 AM
This revision is now accepted and ready to land.Jul 31 2020, 10:32 AM
bu5hm4n updated this revision to Diff 31002.Aug 5 2020, 2:05 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

Closed by commit rEFL67cd017aac4a: eo: evalulate special counts earlier (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyAug 6 2020, 1:36 AM
This revision was automatically updated to reflect the committed changes.